title: 'Standard Page'
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
          localizable: true
      -
        handle: hero_type
        field:
          options:
            image: Image
            image_small: 'Image small'
          inline: true
          cast_booleans: false
          default: image_small
          display: 'Hero type'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: m-text-image-variant1
        field:
          options:
            grid-container--white: white
            grid-container--gray: gray
          inline: true
          cast_booleans: false
          default: grid-container--white
          display: 'Text and image background 1'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: m-text-image-variant2
        field:
          options:
            grid-container--white: white
            grid-container--gray: gray
          inline: true
          cast_booleans: false
          default: grid-container--white
          display: 'Text and image background 2'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: m-text-image-variant3
        field:
          options:
            grid-container--white: white
            grid-container--gray: gray
          inline: true
          cast_booleans: false
          default: grid-container--white
          display: 'Text and image background 3'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: main_image
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          max_files: 1
          display: 'Main image'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: intro_title
        field:
          input_type: text
          antlers: false
          display: 'Intro title'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: intro_text
        field:
          collapse: false
          always_show_set_button: false
          previews: true
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          remove_empty_nodes: false
          display: 'Intro text'
          type: bard
          icon: bard
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: boxes_generic
        field:
          collapse: false
          previews: true
          sets:
            box_generic_2_columns:
              display: 'Box Generic 2 columns'
              fields:
                -
                  import: generic_box_two_cols
                  prefix: box_2_cols__
          display: 'Block Box 1'
          type: replicator
          icon: replicator
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: true
      -
        handle: promoters
        field:
          display: Promoters
          type: section
          icon: section
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: title_promoters
        field:
          input_type: text
          antlers: false
          display: 'Title Promoters'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: text_promoters
        field:
          collapse: false
          always_show_set_button: false
          previews: true
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          remove_empty_nodes: false
          display: 'Text Promoters'
          type: bard
          icon: bard
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: logos_promoters
        field:
          collapse: false
          previews: true
          sets:
            new_set:
              display: 'New Set'
              fields:
                -
                  handle: logo_promotor_image
                  field:
                    mode: list
                    container: assets
                    restrict: false
                    allow_uploads: true
                    show_filename: true
                    display: 'Logo promotor Image'
                    type: assets
                    icon: assets
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                    max_files: 1
                -
                  handle: logo_promoter_text
                  field:
                    input_type: text
                    antlers: false
                    display: 'Logo Promoter Text'
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                -
                  handle: logo_promoter_link
                  field:
                    input_type: url
                    antlers: false
                    display: 'Logo Promoter Link'
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
          display: 'Logos Promoters'
          type: replicator
          icon: replicator
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: boxes_generic_2
        field:
          collapse: false
          previews: true
          sets:
            box_generic_2_columns:
              display: 'Box Generic 2 columns'
              fields:
                -
                  import: generic_box_two_cols
                  prefix: box_2_cols__
          display: 'Block Box 2'
          type: replicator
          icon: replicator
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: true
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          localizable: true
      -
        handle: seo_title
        field:
          input_type: text
          antlers: false
          display: 'SEO Title'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: seo_description
        field:
          antlers: false
          display: 'SEO Description'
          type: textarea
          icon: textarea
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: date
        field:
          type: date
          required: true
          validate:
            - required
          localizable: false
      -
        handle: parent
        field:
          type: entries
          collections:
            - pages
          max_items: 1
          listable: false
          localizable: true
